> For the complete documentation index, see [llms.txt](https://docs.overdare.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.overdare.com/development/api-reference/datatype/enumitem.md).

# EnumItem

## Overview

EnumItem is a single element representing a specific constant within a single enumeration group (Enum), meaning each individual value that consists the Enum.

## Constructors

## Properties

### Name

`string`

The name used to identify the EnumItem, a unique name used to identify each item within the enumeration.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.Name)
```

### Value

`number`

The number used to identify the EnumItem, a fixed integer used to identify each item within the enumeration.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.Name, EnumItem.Value)
```

### EnumType

`Enum`

Represents the parent Enum object of the EnumItem.

#### Code Samples

```lua
local EnumItem = Enum.HumanoidStateType.Running
print(EnumItem.EnumType)
```

## Methods


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.overdare.com/development/api-reference/datatype/enumitem.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
